%define upstream_name Horde_ActiveSync
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.8.4
Release:     	%mkrel 2
Summary:    	Libraries for implementing an ActiveSync server
License:    	GPLv-2.0
Group:       	Networking/Mail
URL:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
Requires:    	php-pear
Requires: 	php-pear-Horde_Date >= 2.0.0
Requires: 	php-pear-Horde_Date < 3.0.0alpha1
Requires: 	php-pear-Horde_Exception >= 2.0.0
Requires: 	php-pear-Horde_Exception < 3.0.0alpha1
Requires: 	php-pear-Horde_Icalendar >= 2.0.0
Requires: 	php-pear-Horde_Icalendar < 3.0.0alpha1
Requires: 	php-pear-Horde_Mime >= 2.0.0
Requires: 	php-pear-Horde_Mime < 3.0.0alpha1
Requires: 	php-pear-Horde_Support >= 2.0.0
Requires: 	php-pear-Horde_Support < 3.0.0alpha1
Requires: 	php-pear-Horde_Util >= 2.0.0
Requires: 	php-pear-Horde_Util < 3.0.0alpha1
Requires:     	php-pear-channel-horde
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
BuildArch:  	noarch

%description
Libraries for implementing an ActiveSync server.


%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_ActiveSync.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_ActiveSync.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_ActiveSync
fi

%files
%doc docs/Horde_ActiveSync/*
%{peardir}/*
%{xmldir}/Horde_ActiveSync.xml

%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.8.4-2.mga4
+ Revision: 545238
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 spuhler <spuhler> 2.8.4-1.mga4
+ Revision: 500966
- upgrade to version 2.8.4

* Sat Oct 05 2013 spuhler <spuhler> 2.8.2-1.mga4
+ Revision: 491626
- upgrade to version 2.8.2

* Wed Aug 14 2013 spuhler <spuhler> 2.6.1-1.mga4
+ Revision: 466522
- upgrade to ver 2.6.1

* Mon Jul 08 2013 spuhler <spuhler> 2.5.4-1.mga4
+ Revision: 451545
- upgrade to ver 2.5.4

* Sat Jul 06 2013 spuhler <spuhler> 2.5.3-1.mga4
+ Revision: 450537
- upgrade to ver 2.5.3

* Sat Jun 29 2013 spuhler <spuhler> 2.5.2-1.mga4
+ Revision: 448193
- upgrade to version 2.5.2
- removed "%%define _requires_exceptions...."

* Mon Jun 17 2013 spuhler <spuhler> 2.5.0-1.mga4
+ Revision: 444240
- upgrade to version 2.5.0

* Fri Jun 14 2013 spuhler <spuhler> 2.4.0-1.mga4
+ Revision: 443077
- upgrade to version 2.4.0

* Tue Jun 04 2013 spuhler <spuhler> 2.3.6-1.mga4
+ Revision: 437262
- upgrade to ver. 2.3.6
- update requires per upstream
- rearranged file section

* Sun Jan 13 2013 umeabot <umeabot> 1.2.7-2.mga3
+ Revision: 376365
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 29 2012 spuhler <spuhler> 1.2.7-1.mga3
+ Revision: 275672
- upgrade to  1.2.7

* Mon Feb 27 2012 spuhler <spuhler> 1.2.4-1.mga2
+ Revision: 215520
- update to 1.1.4

* Fri Feb 10 2012 spuhler <spuhler> 1.2.3-1.mga2
+ Revision: 206781
- upgrade to 1.2.3

* Wed Jan 04 2012 spuhler <spuhler> 1.2.1-1.mga2
+ Revision: 190249
- upgrade to 1.2.1

* Thu Dec 29 2011 spuhler <spuhler> 1.2.0-1.mga2
+ Revision: 188785
- upgrade to 1.2.0

* Fri Dec 23 2011 spuhler <spuhler> 1.1.11-1.mga2
+ Revision: 186302
- added additonal files to spec
- upgrade to 1.1.11

* Sat Dec 17 2011 spuhler <spuhler> 1.1.10-1.mga2
+ Revision: 183291
- added the additional files
- upgrade to 1.1.10

* Thu Nov 17 2011 spuhler <spuhler> 1.1.9-1.mga2
+ Revision: 168320
- upgrade to 1.1.9

* Sun Nov 13 2011 spuhler <spuhler> 1.1.8-1.mga2
+ Revision: 167244
- upgrade to 1.1.8

* Sat Nov 05 2011 spuhler <spuhler> 1.1.6-1.mga2
+ Revision: 163921
- upgrade to 1.1.6
- changed Provides: Horde_ActiveSync to php-pear-Horde_LoginTasks = %%{version}
  added define_requires_exceptions  pear(tests/lib/Horde/ActiveSync.php)
- imported package php-pear-Horde_ActiveSync

